Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233965 - QWidget: x(), y(), pos() etc return position 0,0 if window was not moved by user
Summary: QWidget: x(), y(), pos() etc return position 0,0 if window was not moved by user
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
: 234319 426354 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 12:04 UTC by The Source
Modified: 2014-06-18 09:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:19:04 UTC


Attachments (Terms of Use)
Test code (deleted)
2007-03-27 15:23 UTC, The Source
no flags Details

Description The Source 2007-03-26 12:04:01 UTC
Description of problem:
If I don't move window by myself (using mouse or keyboard, not by move(x,y)),
x(), y() functions return 0. Happens at least for QMainWindow 

Version-Release number of selected component (if applicable):
3.3.7

How reproducible:
always at least for QMainWindow

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ngo Than 2007-03-27 14:20:36 UTC
could you please attach a test case? Thanks

Comment 2 The Source 2007-03-27 15:21:54 UTC
Here you go. Inside the archive is the kdevelop project. See reader_ui.cpp:
CReaderWindow::closeEvent contains window position saving. Remove zero filtering
from there and make the project. Then launch the program (follow init dialog
instructions - you need at least one mysql database). For command line help
launch the program with --help parameter. After connection you'll see the main
window. Move it somewhere and close it then. Launch program again and the window
should appear where you last moved it. Now DO NOT move window, immediately close
it instead. Launch program again. The window will be in the top left corner
(just make sure you didn't move it before).

P.S Do not give this code to anyone else please. Use it only for fixing this bug.

Comment 3 The Source 2007-03-27 15:23:52 UTC
Created attachment 151038 [details]
Test code

Comment 4 Bug Zapper 2008-04-04 06:40:30 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 5 The Source 2008-04-04 06:45:55 UTC
Communication with Trolltech and testing revealed, that this is metacity bug and
problem is still here, so changing component to metacity.

Comment 6 The Source 2008-04-04 06:47:01 UTC
*** Bug 234319 has been marked as a duplicate of this bug. ***

Comment 7 The Source 2008-06-25 05:15:01 UTC
Confirming that this metacity bug. I also noticed that this does not happen, if
I first set window geometry and then show it. If I show it first, and then move
and resize, then coords are lost after restart (if user didn't move the window
of course).

Comment 8 Bug Zapper 2008-11-26 07:13:01 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 The Source 2008-11-26 10:12:07 UTC
*** Bug 426354 has been marked as a duplicate of this bug. ***

Comment 10 Bug Zapper 2009-06-09 22:31:14 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-07-14 17:19:04 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.